
import pymysql
import random

def fetch_random_record(cursor):
    """
    Fetches a random record from a MySQL database using PyMySQL.
    """
    try:
        cursor.execute("SELECT * FROM table_name LIMIT 1 OFFSET %s", (random.randint(0, 100),))
        record = cursor.fetchone()
        return record
    except pymysql.MySQLError as e:
        print(f"Error: {e}")
        return None

